SDL_EventEnabled(3)

NAME
SDL_EventEnabled - Query the state of processing events by type.

HEADER FILE
Defined in SDL3/SDL_events.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_EventEnabled(Uint32 type);

FUNCTION PARAMETERS

type
    the type of event; see SDL_EventType
     for details.

RETURN VALUE
Returns true if the event is being processed, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetEventEnabled(3)